com.mapinfo.midev.dp.shape

## Class ShapeDataSourceDefinition

- java.lang.Object
- - com.mapinfo.midev.dp.file.FileDataSourceDefinition
  - - com.mapinfo.midev.dp.shape.ShapeDataSourceDefinition

All Implemented Interfaces:
  IDataSourceDefinition

    public final class ShapeDataSourceDefinition
    extends FileDataSourceDefinition

A definition for ESRI shape file data sources.

### Constructor Summary

Constructors
Constructor and Description
`ShapeDataSourceDefinition()` Creates a new shape file datasource definition.
`ShapeDataSourceDefinition(FileConnectionDefinition connectionDefinition)` Creates a new shape file datasource definition for the given file connection definition, which encapsulates a root directory under which shape files described by this definition can be found.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDataProvider` `getDataProvider()` Gets the data provider for this datasource definition.

### Methods inherited from class com.mapinfo.midev.dp.file.FileDataSourceDefinition

`equals, getConnectionDefinition, hashCode`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeDataSourceDefinition

    public ShapeDataSourceDefinition()

Creates a new shape file datasource definition.

#### ShapeDataSourceDefinition

    public ShapeDataSourceDefinition(FileConnectionDefinition connectionDefinition)

Creates a new shape file datasource definition for the given file connection definition, which encapsulates a root directory under which shape files described by this definition can be found.

Parameters:
  `connectionDefinition` - a file connection definition encapsulating the root of a directory structure containing shape files.

### Method Detail

#### getDataProvider

    public IDataProvider getDataProvider()

Gets the data provider for this datasource definition.

Specified by:
  `getDataProvider` in interface `IDataSourceDefinition`
Overrides:
  `getDataProvider` in class `FileDataSourceDefinition`
Returns:
  the data provider that supports this datasource type.